> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all access tokens GET https://api.contentful.com/users/me/access_tokens Returns all CMA tokens (active and revoked) for the current user, across `PersonalAccessToken`, `CLIToken`, and `OAuthApplication` types. Filter by `sys.type`, `sys.expiresAt`, `sys.revokedAt`, `sys.createdAt`, `sys.lastUsedAt`, and `query`. Reference: https://contentful.com/developers/docs/references/content-management-api/access-tokens/get-all-access-tokens ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [ { "name": "My Token", "revokedAt": null, "scopes": [ "content_management_manage" ], "sys": { "application": { "sys": { "id": "", "linkType": "Application", "type": "Link" } }, "createdAt": "2026-02-17T12:54:31.000Z", "expiresAt": null, "id": "exampletokenid", "lastUsedAt": null, "redactedValue": "TmTU", "type": "PersonalAccessToken", "updatedAt": "2026-02-17T12:54:31.000Z" } } ], "limit": 100, "skip": 0, "sys": { "type": "Array" }, "total": 0 } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .personalAccessTokens() .async() .fetchAll( new CMACallback>() { @Override protected void onSuccess(CMAArray result) { new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Successfully fetched all access token." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch any tokens." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAArray tokens = client .personalAccessTokens() .fetchAll(); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val tokens = client .personalAccessTokens() .fetchAll() ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getAccessTokens() .then((response) => console.log(response.items)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = createClient({ accessToken: '' }) await client.accessToken.getMany(); ``` ```php PHP $client = new \Contentful\Management\Client(''); $tokens = $client->getPersonalAccessTokens(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') personal_access_tokens = client.personal_access_tokens.all ``` ```python Python from contentful_management import Client client = Client('') personal_access_tokens = client.personal_access_tokens().all() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); // Note that the actual access tokens will not be a part of the response. // It is only available during creation for security reasons. var tokens = client.GetAllManagementTokens(); ```